----------------------------------------------------------------------
-- WKMascot State/ҋ@
----------------------------------------------------------------------

local math               = math;
local setmetatable       = setmetatable;
local MOD				 = MOD;
local cpp_GetPassageTime = cpp_GetPassageTime;

module("MOD.AI.State.WaitIdle");

State_WaitIdle = {};

-------------------------------------------------
--
-------------------------------------------------

function new()

	self = {
		m_WaitTime = 0;
	}

	return setmetatable(self,{__index=State_WaitIdle});

end


--====================================================================
--Xe[g
--====================================================================

-------------------------------------------------
--Jn
-------------------------------------------------

function State_WaitIdle:Start( mascot )

	--Tb`POb
	self.m_WaitTime = math.random() * 5 * 1000 + 5 * 1000;

	mascot:SetMotion( "stand" );

end

-------------------------------------------------
--I
-------------------------------------------------

function State_WaitIdle:End( mascot )

end

-------------------------------------------------
--[v
-------------------------------------------------

function State_WaitIdle:Loop( mascot )

	self.m_WaitTime = self.m_WaitTime - cpp_GetPassageTime();

	if self.m_WaitTime < 0 then

		mascot:ChangeState( MOD.AI.State.RandomWalk.new() );

	end

end


